{
  config,
  lib,
  ...
}:
{
  programs.ghostty = {
    enable = true;
    settings = {
      background-opacity = 0.9;
      command = "${lib.getExe config.programs.nushell.package} --login --interactive";
      confirm-close-surface = false;
      font-family = "MonaspiceNe Nerd Font";
      theme = "catppuccin-mocha";
      term = "xterm-256color";
    };
  };
}
